A valid request URL is required to generate request examples{
"data": {
"accountId": "412b5d4b-5de6-44b2-ad7d-ae92479d7322",
"creationDate": "2025-10-01T00:00:00.000Z",
"displayName": "Savings Account",
"nickname": "Beach Holiday",
"openStatus": "OPEN",
"isOwned": true,
"accountOwnership": "ONE_PARTY",
"maskedNumber": "xxxxxxxx1234",
"productCategory": "TRANS_AND_SAVINGS_ACCOUNTS",
"productName": "Consumer Saver",
"bsb": 111222,
"accountNumber": 44444111122,
"bundleName": "Basic Account Bundle",
"depositRate": 0.045,
"depositRates": [
{
"depositRateType": "VARIABLE",
"rate": 0.045,
"applicationType": "PERIODIC",
"calculationFrequency": "P1D",
"applicationFrequency": "P1M",
"additionalInfo": "The default interest rate will be applied on your balance",
"applicabilityConditions": [
{
"rateApplicablityType": "MIN_DEPOSITS",
"additionalValue": "5",
"additionalInfo": "You must make 5 deposits to quality for this rate"
}
],
"tiers": [
{
"name": "Bonus Interest on balances up to $100,000.00",
"unitOfMeasure": "DOLLAR",
"minimumValue": 0,
"maximumValue": 100000,
"rateApplicationMethod": "PER_TIER"
}
]
},
{
"depositRateType": "VARIABLE",
"rate": 0.005,
"calculationFrequency": "P1D",
"applicationFrequency": "P1M",
"additionalInfo": "The base rate applies to balances over $100,000.00",
"tiers": [
{
"name": "Base rate on balances over 100,000.00",
"unitOfMeasure": "DOLLAR",
"minimumValue": 100000,
"rateApplicationMethod": "PER_TIER"
}
]
}
],
"lendingRates": {
"lendingRateType": "VARIABLE",
"rate": 0.2,
"comparisonRate": 0.2,
"calculationFrequency": "P1D",
"applicationType": "PERIODIC",
"applicationFrequency": "P1M",
"additionalInfo": "Overdrafts accumulate interest at a rate of 20% p/a",
"repaymentType": "PRINCIPAL_AND_INTEREST",
"loanPurpose": "OTHER"
},
"features": [
{
"featureType": "NPP_PAYID",
"additionalInfo": "You can register your email or phone number for PayID"
}
],
"fees": [
{
"name": "Account keeping fee",
"feeType": "PERIODIC",
"feeMethodUType": "fixedAmount",
"fixedAmount": {
"amount": "0.20"
},
"additionalValue": "P1M"
}
],
"addresses": [
{
"addressUType": "simple",
"simple": {
"mailingName": "P Sherman",
"addressLine1": "42 Wallaby Way",
"city": "Sydney",
"postcode": 2000,
"state": "NSW",
"country": "AUS"
}
}
]
}
}Obtain detailed information on a single account.
A valid request URL is required to generate request examples{
"data": {
"accountId": "412b5d4b-5de6-44b2-ad7d-ae92479d7322",
"creationDate": "2025-10-01T00:00:00.000Z",
"displayName": "Savings Account",
"nickname": "Beach Holiday",
"openStatus": "OPEN",
"isOwned": true,
"accountOwnership": "ONE_PARTY",
"maskedNumber": "xxxxxxxx1234",
"productCategory": "TRANS_AND_SAVINGS_ACCOUNTS",
"productName": "Consumer Saver",
"bsb": 111222,
"accountNumber": 44444111122,
"bundleName": "Basic Account Bundle",
"depositRate": 0.045,
"depositRates": [
{
"depositRateType": "VARIABLE",
"rate": 0.045,
"applicationType": "PERIODIC",
"calculationFrequency": "P1D",
"applicationFrequency": "P1M",
"additionalInfo": "The default interest rate will be applied on your balance",
"applicabilityConditions": [
{
"rateApplicablityType": "MIN_DEPOSITS",
"additionalValue": "5",
"additionalInfo": "You must make 5 deposits to quality for this rate"
}
],
"tiers": [
{
"name": "Bonus Interest on balances up to $100,000.00",
"unitOfMeasure": "DOLLAR",
"minimumValue": 0,
"maximumValue": 100000,
"rateApplicationMethod": "PER_TIER"
}
]
},
{
"depositRateType": "VARIABLE",
"rate": 0.005,
"calculationFrequency": "P1D",
"applicationFrequency": "P1M",
"additionalInfo": "The base rate applies to balances over $100,000.00",
"tiers": [
{
"name": "Base rate on balances over 100,000.00",
"unitOfMeasure": "DOLLAR",
"minimumValue": 100000,
"rateApplicationMethod": "PER_TIER"
}
]
}
],
"lendingRates": {
"lendingRateType": "VARIABLE",
"rate": 0.2,
"comparisonRate": 0.2,
"calculationFrequency": "P1D",
"applicationType": "PERIODIC",
"applicationFrequency": "P1M",
"additionalInfo": "Overdrafts accumulate interest at a rate of 20% p/a",
"repaymentType": "PRINCIPAL_AND_INTEREST",
"loanPurpose": "OTHER"
},
"features": [
{
"featureType": "NPP_PAYID",
"additionalInfo": "You can register your email or phone number for PayID"
}
],
"fees": [
{
"name": "Account keeping fee",
"feeType": "PERIODIC",
"feeMethodUType": "fixedAmount",
"fixedAmount": {
"amount": "0.20"
},
"additionalValue": "P1M"
}
],
"addresses": [
{
"addressUType": "simple",
"simple": {
"mailingName": "P Sherman",
"addressLine1": "42 Wallaby Way",
"city": "Sydney",
"postcode": 2000,
"state": "NSW",
"country": "AUS"
}
}
]
}
}The Fiskil Data Provider will include a self-signed JWT as a Bearer token in the Authorization header.
You should verify this JWT using the JWKS URL you can find for your Data Provider instance in the Fiskil
Console. To verify the JWT you must:
exp claimsub and iss claims are your data provider subdomainaud claim is the URI of the resource being requested (excluding any query parameters)jti value is unique
For further detail on security and authentication refer to our Authentication documentationUnique ID of a customer. This ID must not change for the lifecycle of the customer
ID of a specific account to obtain data for.
Success
Show child attributes
Was this page helpful?